#include <amxmodx>
#include <amxmisc>

// http://CS-RAIN.net/
#define PLUGIN "Status Info"
#define VERSION "1.0"
#define AUTHOR "Leo_[BH]"

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	register_clcmd("say /status", 			"CmdStatus")
	register_clcmd("say status", 			"CmdStatus")
	register_clcmd("say_team /status", 		"CmdStatus")
	register_clcmd("say_team status", 		"CmdStatus")
}

public CmdStatus(id)
{
	set_task(0.01, "MeStatus", id)
	return PLUGIN_HANDLED;
}

public MeStatus(id)
{
	new nick[32], steam[35], ipme[23]
	get_user_name(id, nick, 31);
	get_user_authid(id, steam, 34);
	get_user_ip(id, ipme, 22, 1);
	
	new flags, u_flags[32]
	flags = get_user_flags(id)
	get_flags(flags, u_flags, 31)
	
	client_print(id, print_console, "Name: %s", nick)
	client_print(id, print_console, "SteamID: %s", steam)
	client_print(id, print_console, "IP: %s", ipme)
	client_print(id, print_console, "Access: %s", u_flags)
	
	ChatColor ( id, "^4[STATUS] ^3Ник: ^4 %s", nick)
	ChatColor ( id, "^3[STATUS] ^4SteamID: ^3 %s", steam)
	ChatColor ( id, "^4[STATUS] ^3IP: ^4 %s", ipme)
	ChatColor ( id, "^3[STATUS] ^4Права доступа: ^3 %s", u_flags)
}

stock ChatColor(const id, const input[], any:...) 
{
	new count = 1, players[32]
	static msg[191]
	vformat(msg, 190, input, 3)
	
	replace_all(msg, 190, "!g", "^4") // Green Color
	replace_all(msg, 190, "!y ", "^1") // Default Color
	replace_all(msg, 190, "!team", "^3") // Team Color
	replace_all(msg, 190, "!team2", "^0") // Team2 Color
	
	if (id) players[0] = id; else get_players(players, count, "ch")
	{
		for (new i = 0; i < count; i++)
		{
			if (is_user_connected(players[i]))
			{
				message_begin(MSG_ONE_UNRELIABLE, get_user_msgid("SayText"), _, players[i])
				write_byte(players[i]);
				write_string(msg);
				message_end();
			}
		}
	}
}

///////////////////////////////////////////////////////////
// 														///
// 		Автор плагина - Leo_[BH] 						///
// 		Делаю, пишу плагины на заказ! 					///
// 		https://vk.com/cs_rain 							///
// 		Skype: bcnl_leon 								///
// 														///
///////////////////////////////////////////////////////////